IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_269_3596_wrklink_after]') AND type = 'P')
DROP PROCEDURE [dbo].[order_269_3596_wrklink_after]
GO

-- 生成时间:2018-11-29 16:53:13 by ebs-core  
CREATE  procedure order_269_3596_wrklink_after(
     @cmpid int, 
     @useruid int,
     @bizid int, 
     @ordid bigint, 
     @wrkid int, 
     @jbid bigint, 
     @wsid int, 
     @wsstatus nvarchar(50) 
  ) 
as  
begin  
set nocount on  
SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
declare @autoapplycode varchar(50) 
  set @autoapplycode =  ''
declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
  
 --- 以下是预处理事件中的临时表
 
 ---- 以下是开发人员写的 before link job 事件 --------------
 update order_269 with(rowlock)  
set ord_bcid = bc_id,
    ord_branch = bc_company
from mps_groupbranch 
where  bc_company = ord_fgs
and ord_id = @ordid 
 ---- 以上是开发人员写的 before libk job 事件 --------------
 
  
 
 
--- 清除临时表 

set nocount off 
end